%define pkg_name        Digest-SHA
%define pkg_version     5.45
%define rpm_pkg_version 5.45
%define rpm_pkg_release 1.n0i.8

Summary:       Perl extension for SHA-1/224/256/384/512
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSHELOR/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Digest::SHA is a complete implementation of the NIST Secure Hash Standard.
It gives Perl programmers a convenient way to calculate SHA-1, SHA-224,
SHA-256, SHA-384, and SHA-512 message digests. The module can handle all
types of input, including partial-byte data.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes examples/ README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 5.45-1.n0i.8
- version 5.45

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 5.44-2.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer 1.146
- mass rebuild

* Thu Feb 22 2007 Marius Feraru <altblue@n0i.net> - 5.44-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0
- rebuild on perl 5.8.8

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 5.41-1.n0i.5
- version 5.41

* Sun May 28 2006 Marius Feraru <altblue@n0i.net> - 5.39-1.n0i.4
- version 5.39

* Thu May 25 2006 Marius Feraru <altblue@n0i.net> - 5.38-1.n0i.3
- version 5.38

* Mon May 15 2006 Marius Feraru <altblue@n0i.net> - 5.37-1.n0i.2
- version 5.37

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> 5.36-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
